本章介绍如何使用各种几何相关的类型，如何从元素获取到几何数据，如何进行几何图形变换等内容。主要从实战例子，几何基元类，几何辅助类几个部分进行讲解。图4-1是几何对象的简略图。<br />
<div style="text-align:center;">
<img src="/uploads/bimbase-seconddev-csharp-help/images/image40.png" alt=""  style="margin:0 auto;"/>
<p>
图4-1 几何对象的简略图
</p>
</div>

几何基元类用来描述几何对象，主要分为三维空间的点(`GePoint3d`)、二维空间的点(`GePoint2d`)、三维向量(`GeVec3d`)、基本曲线(`IGeCurveBase`)、曲线组(`GeCurveArray`)、几何实体类(`IGeSolidBase`)、网格实体(`PolyfaceHandle`)、几何图素(`BPGraphics`)等。<br />
几何辅助类主要是用来帮助表示几何对象，主要分为以下几种类型：变化矩阵(`GeTransform`)、位置信息(`BPPlacement`)、旋转矩阵(`GeRotMatrix`)、包围盒(`GeRange3d`/`GeRange2d`)、角度(`GeAngle`)、三维平面(`GePlane3d`)等。<br />
这些几何类之间的关系如图4-2所示：<br />
<div style="text-align:center;">
<img src="/uploads/bimbase-seconddev-csharp-help/images/image41.png" alt=""  style="margin:0 auto;"/>
<p>
图4-2 几何嵌套结构
</p>
</div>