事件是BIMBase界面或者API在执行过程中特定时机触发的特定动作。通过注册事件，一个插件程序能在某个动作触发的前后得到通知，然后根据这个动作采取相应的行动。事件通常是成对，其中一个在某个动作发生前触发，称为预备事件，另一个在某个动作发生后触发，称为事后事件。对于单独出现的事件，我们称之为单一事件。<br />
BIMBase中事件较为丰富，能满足客户在特定场景下特定时机进行定制化处理。BIMBase提供了应用级别的事件包括工程（`Document`）事件、专业（`Discipline`）事件、视图（`View`）事件、构件（`Element`）事件，以及一些单一事件如对象外显属性变化事件、选择集变化事件、消息事件等。<br />
BIMBase中主要事件包括：<br />
表6-1 事件列表<br />

|工程事件|工程启动事件|DocumentOpeningEventArgs|
|-----|-----|-----|
||工程启动后事件|DocumentOpenedEventArgs|
||工程关闭事件|DocumentCloingEventArgs|
||工程关闭后事件|DocumentClosedEventArgs|
|专业切换事件|专业启动事件|DisciplineOpenedEventArgs|
||专业关闭事件|DisciplinePreCloseEventArgs|
|单一事件|选择集变化事件|SelectionChangedEventArgs|